/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.component.framework.su;

import org.objectweb.petals.component.framework.PEtALSCDKException;
import org.objectweb.petals.jbi.descriptor.Extensions;

/**
 * This interface MUST be implemented if the component requires extension
 * values. The SU will not be deployed if an exception is throw.
 * 
 * @author chamerling - eBM WebSourcing
 * 
 */
public interface ServiceUnitExtensionsValidator {

    /**
     * Validate the consumes node extensions.
     * 
     * @param extensions
     * @throws PEtALSCDKException
     *             if a required value has not been setted.
     */
    void validateConsumesExtensions(Extensions extensions)
            throws PEtALSCDKException;

    /**
     * Validate the provides node extensions.
     * 
     * @param extensions
     * @throws PEtALSCDKException
     *             if a required value has not been setted.
     */
    void validateProvidesExtensions(Extensions extensions)
            throws PEtALSCDKException;

}
